apiVersion: v1
kind: Service
metadata:
  name: jellyfin
  namespace: jellyfin
  labels:
    app: jellyfin
spec:
  type: NodePort
  ports:
    - port: 8096
      nodePort: 30680
      targetPort: jellyfin
  selector:
    app: jellyfin
    tier: frontend
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: jellyfin
  name: jellyfin
  namespace: jellyfin
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: jellyfin
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: jellyfin
    spec:
      hostNetwork: true
      containers:
        - image: jellyfin/jellyfin
          name: jellyfin
          ports:
          - containerPort: 8096
            name: jellyfin
          resources: {}
          volumeMounts:
            - mountPath: /config
              name: jellyfin-config
            - mountPath: /cache
              name: jellyfin-cache
            - mountPath: /media
              name: jellyfin-media
            - mountPath: /media2
              name: jellyfin-media2
              readOnly: true
      restartPolicy: Always
      volumes:
        - name: jellyfin-config
          persistentVolumeClaim:
            claimName: jellyfin-config
        - name: jellyfin-cache
          persistentVolumeClaim:
            claimName: jellyfin-cache
        - name: jellyfin-media
          persistentVolumeClaim:
            claimName: jellyfin-media
        - name: jellyfin-media2
          persistentVolumeClaim:
            claimName: jellyfin-media2
            readOnly: true
status: {}
